Problem Running Ruby Plugin in IDEA 8.1

I downloaded the latest Ruby plugin, version 2.0.223942 into IDEA 8.1. When I ran IDEA, I got the exception below and the IDE hung during startup. Can someone tell me what the problem is? Thanks.



2009-02-17 15:29:35,002 [   1679]  ERROR - llij.ide.plugins.PluginManager - Bad version number in .class file
java.lang.UnsupportedClassVersionError: Bad version number in .class file
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:675)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:520)
        at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:119)
        at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:115)
        at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:91)
        at com.intellij.ide.plugins.cl.PluginClassLoader.loadClassInsideSelf(PluginClassLoader.java:78)
        at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:41)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:374)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:242)
        at com.intellij.openapi.extensions.impl.ExtensionPointImpl.getExtensionClass(ExtensionPointImpl.java:319)
        at com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerExtension(ExtensionsAreaImpl.java:129)
        at com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerAreaExtensionsAndPoints(ExtensionsAreaImpl.java:313)
        at com.intellij.ide.plugins.IdeaPluginDescriptorImpl.setLoader(IdeaPluginDescriptorImpl.java:365)
        at com.intellij.ide.plugins.PluginManager.initializePlugins(PluginManager.java:202)
        at com.intellij.ide.plugins.PluginManager.getPlugins(PluginManager.java:87)
        at com.intellij.openapi.application.impl.ApplicationImpl.e(ApplicationImpl.java:327)
        at com.intellij.openapi.application.impl.ApplicationImpl.<init>(ApplicationImpl.java:221)
        at com.intellij.openapi.application.ex.ApplicationManagerEx.createApplication(ApplicationManagerEx.java:7)
        at com.intellij.idea.IdeaApplication.<init>(IdeaApplication.java:26)
        at com.intellij.idea.MainImpl.a(MainImpl.java:1)
        at com.intellij.idea.MainImpl.access$000(MainImpl.java:33)
        at com.intellij.idea.MainImpl$2.proceed(MainImpl.java)
        at com.intellij.ide.a.c.j$10.run(j$10.java)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
        at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
2009-02-17 15:29:35,009 [   1686]  ERROR - llij.ide.plugins.PluginManager - JDK: 1.5.0_16
2009-02-17 15:29:35,009 [   1686]  ERROR - llij.ide.plugins.PluginManager - VM: Java HotSpot(TM) Client VM
2009-02-17 15:29:35,009 [   1686]  ERROR - llij.ide.plugins.PluginManager - Vendor: Apple Inc.
2009-02-17 15:29:35,009 [   1686]  ERROR - llij.ide.plugins.PluginManager - OS: Mac OS X



1 comment
Comment actions Permalink

Hello Reggie,

Sorry, we uploaded an incorrectly built version of the plugin. Please download
and install the latest version instead.

I downloaded the latest Ruby plugin, version 2.0.223942 into IDEA 8.1.
When I ran IDEA, I got the exception below and the IDE hung during
startup. Can someone tell me what the problem is? Thanks.

2009-02-17 15:29:35,002 ERROR -
llij.ide.plugins.PluginManager - Bad version number in .class file
java.lang.UnsupportedClassVersionError: Bad version number in .class
file
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:675)
at java.lang.ClassLoader.defineClass(ClassLoader.java:520)
at
com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java
:119)
at
com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:
115)
at
com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:9
1)
at
com.intellij.ide.plugins.cl.PluginClassLoader.loadClassInsideSelf(Plug
inClassLoader.java:78)
at
com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoa
der.java:41)
at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
at
java.lang.ClassLoader.loadClassInternal(ClassLoader.java:374)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:242)
at
com.intellij.openapi.extensions.impl.ExtensionPointImpl.getExtensionCl
ass(ExtensionPointImpl.java:319)
at
com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerExtens
ion(ExtensionsAreaImpl.java:129)
at
com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerAreaEx
tensionsAndPoints(ExtensionsAreaImpl.java:313)
at
com.intellij.ide.plugins.IdeaPluginDescriptorImpl.setLoader(IdeaPlugin
DescriptorImpl.java:365)
at
com.intellij.ide.plugins.PluginManager.initializePlugins(PluginManager
.java:202)
at
com.intellij.ide.plugins.PluginManager.getPlugins(PluginManager.java:8
7)
at
com.intellij.openapi.application.impl.ApplicationImpl.e(ApplicationImp
l.java:327)
at
com.intellij.openapi.application.impl.ApplicationImpl.<init>(Applicati
onImpl.java:221)
at
com.intellij.openapi.application.ex.ApplicationManagerEx.createApplica
tion(ApplicationManagerEx.java:7)
at
com.intellij.idea.IdeaApplication.<init>(IdeaApplication.java:26)
at com.intellij.idea.MainImpl.a(MainImpl.java:1)
at com.intellij.idea.MainImpl.access$000(MainImpl.java:33)
at com.intellij.idea.MainImpl$2.proceed(MainImpl.java)
at com.intellij.ide.a.c.j$10.run(j$10.java)
at
java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThr
ead.java:269)
at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThrea
d.java:190)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
at
java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
2009-02-17 15:29:35,009 ERROR -
llij.ide.plugins.PluginManager - JDK: 1.5.0_16
2009-02-17 15:29:35,009 ERROR -
llij.ide.plugins.PluginManager - VM: Java HotSpot(TM) Client VM

2009-02-17 15:29:35,009 ERROR -
llij.ide.plugins.PluginManager - Vendor: Apple Inc.

2009-02-17 15:29:35,009 ERROR -
llij.ide.plugins.PluginManager - OS: Mac OS X

---
Original message URL:
http://www.jetbrains.net/devnet/message/5232361#5232361

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0

Please sign in to leave a comment.